summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-03-10 22:12:59 +0100
committerPatrice Clement <monsieurp@gentoo.org>2017-03-10 22:13:26 +0100
commit0f3ea282cdc862d069d8c34db0e2d6eb3b45f86d (patch)
treee663bea33d4d63a6c22294210c42eda5f886344e /app-vim
parentapp-admin/pprocm: clean up old. (diff)
downloadgentoo-0f3ea282cdc862d069d8c34db0e2d6eb3b45f86d.tar.gz
gentoo-0f3ea282cdc862d069d8c34db0e2d6eb3b45f86d.tar.bz2
gentoo-0f3ea282cdc862d069d8c34db0e2d6eb3b45f86d.zip
app-vim/ferret: new package.
ferret is an enhanced multi-file search plugin for vim. Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/ferret/Manifest1
-rw-r--r--app-vim/ferret/ferret-1.4.ebuild18
-rw-r--r--app-vim/ferret/metadata.xml12
3 files changed, 31 insertions, 0 deletions
diff --git a/app-vim/ferret/Manifest b/app-vim/ferret/Manifest
new file mode 100644
index 00000000000..02d820086a1
--- /dev/null
+++ b/app-vim/ferret/Manifest
@@ -0,0 +1 @@
+DIST ferret-1.4.zip 38210 SHA256 aac505465ba66f0e85b500b6585d2b2454b91ab662abfaeb4beecbef510e61a8 SHA512 e4dacfb996c98be2ae922520387b2b37511fbe33cc934fe89d1bc3096682d74e649fc6a1ba469e1e2efe01bdc11526f0f72d06354b28fd74b884db215068655b WHIRLPOOL a3c92c952b864b3f620c5075624e18c1a1ae95e58e70c83a9233a4f0612333c01f78b11dabd7feba83fb2e7a1e8b469873c2b2314a35d2dd7ba8abc9264443fc
diff --git a/app-vim/ferret/ferret-1.4.ebuild b/app-vim/ferret/ferret-1.4.ebuild
new file mode 100644
index 00000000000..642bad9f37c
--- /dev/null
+++ b/app-vim/ferret/ferret-1.4.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: enhanced multi-file search"
+HOMEPAGE="https://github.com/wincent/ferret"
+SRC_URI="https://github.com/wincent/${PN}/archive/${PV}.zip -> ${P}.zip"
+LICENSE="vim"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-arch/unzip"
+
+src_prepare() {
+ default
+ rm -v test.rb || die
+}
diff --git a/app-vim/ferret/metadata.xml b/app-vim/ferret/metadata.xml
new file mode 100644
index 00000000000..8fafbfec194
--- /dev/null
+++ b/app-vim/ferret/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>monsieurp@gentoo.org</email>
+ <name>Patrice Clement</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>vim@gentoo.org</email>
+ <name>Gentoo Vim Project</name>
+ </maintainer>
+</pkgmetadata>